clang 8.0.0

Classes | Macros | Functions | Variables
__clang_cuda_builtin_vars.h File Reference

Go to the source code of this file.

## Classes
struct | __cuda_builtin_threadIdx_t
struct | __cuda_builtin_blockIdx_t
struct | __cuda_builtin_blockDim_t
struct | __cuda_builtin_gridDim_t

## Macros
#define | __CUDA_DEVICE_BUILTIN(FIELD, INTRINSIC)
#define | __DELETE
#define | __CUDA_DISALLOW_BUILTINVAR_ACCESS(TypeName)
#define | __CUDA_BUILTIN_VAR extern const __attribute__((device)) __attribute__((weak))

## Functions
| __attribute__ ((device)) const int warpSize

## Variables
__CUDA_BUILTIN_VAR __cuda_builtin_threadIdx_t | threadIdx
__CUDA_BUILTIN_VAR __cuda_builtin_blockIdx_t | blockIdx
__CUDA_BUILTIN_VAR __cuda_builtin_blockDim_t | blockDim
__CUDA_BUILTIN_VAR __cuda_builtin_gridDim_t | gridDim

## Macro Definition Documentation

## ◆ __CUDA_BUILTIN_VAR

#define __CUDA_BUILTIN_VAR extern const __attribute__((device)) __attribute__((weak))

Definition at line 110 of file __clang_cuda_builtin_vars.h.

## ◆ __CUDA_DEVICE_BUILTIN

#define __CUDA_DEVICE_BUILTIN | ( |  | FIELD,
|  |  | INTRINSIC
| ) |  |

Value:
__declspec(property(get = __fetch_builtin_##FIELD)) unsigned int FIELD; \
static inline __attribute__((always_inline)) \
__attribute__((device)) unsigned int __fetch_builtin_##FIELD(void) { \
return INTRINSIC; \
}
__attribute__
__attribute__((device)) const int warpSize

Definition at line 44 of file __clang_cuda_builtin_vars.h.

## ◆ __CUDA_DISALLOW_BUILTINVAR_ACCESS

#define __CUDA_DISALLOW_BUILTINVAR_ACCESS | ( |  | TypeName | ) |

Value:
__attribute__((device)) TypeName() __DELETE; \
__attribute__((device)) TypeName(const TypeName &) __DELETE; \
__attribute__((device)) void operator=(const TypeName &) const __DELETE; \
__attribute__((device)) TypeName *operator&() const __DELETE
__attribute__
__attribute__((device)) const int warpSize
__DELETE
#define __DELETE
Definition: __clang_cuda_builtin_vars.h:54

Definition at line 60 of file __clang_cuda_builtin_vars.h.

## ◆ __DELETE

#define __DELETE

Definition at line 54 of file __clang_cuda_builtin_vars.h.

## Function Documentation

## ◆ __attribute__()

__attribute__ | ( | (device) |  | ) | const

## Variable Documentation

## ◆ blockDim

__CUDA_BUILTIN_VAR __cuda_builtin_blockDim_t blockDim

Definition at line 114 of file __clang_cuda_builtin_vars.h.

## ◆ blockIdx

__CUDA_BUILTIN_VAR __cuda_builtin_blockIdx_t blockIdx

Definition at line 113 of file __clang_cuda_builtin_vars.h.

## ◆ gridDim

__CUDA_BUILTIN_VAR __cuda_builtin_gridDim_t gridDim

Definition at line 115 of file __clang_cuda_builtin_vars.h.

## ◆ threadIdx

__CUDA_BUILTIN_VAR __cuda_builtin_threadIdx_t threadIdx

Definition at line 112 of file __clang_cuda_builtin_vars.h.